﻿/* --------------------------------------------------
   Telerik overrides
-------------------------------------------------- */

.k-button {
    text-transform: uppercase;
}

.k-window-titlebar {
    background-color: var(--kendo-color-app-surface);
}

.k-label {
    font-size: 14px !important;
}

.k-dialog-title {
    font-size: 24px;
}

/* Kendo Grid */
.k-grid {
    font-family: Poppins;
    font-size: 40px;
}

.k-grid-header {
    background-color: var(--kendo-color-primary-emphasis);
    color: #fff;
}

.k-table-thead {
    background-color: var(--kendo-color-primary-emphasis);
    color: #fff;
}

    .k-table-thead .k-table-th {
        font-weight: normal;
    }

.k-grid-header-sticky {
    background-color: var(--kendo-color-primary-emphasis) !important;
    color: #fff !important;
    border-right-color: rgba(0,0,0,.12) !important;
}

.k-table-tfoot {
    color: var(--kendo-color-on-app-surface);
}

    .k-table-tfoot .k-table-td {
        background-color: var(--kendo-color-surface) !important;
        border: 1px solid rgba(0,0,0,.12) !important;
        font-weight: normal;
    }

.k-table-td {
    padding-block-start: 0 !important;
    padding-block-end: 0 !important;
    padding-inline-start: 0 !important;
    padding-inline-end: 0 !important;
}

.k-table-th {
    padding-block-start: 0 !important;
    padding-block-end: 0 !important;
    padding-inline-start: 0 !important;
    padding-inline-end: 0 !important;
}

.k-grid-table .k-input {
    height: 26px;
    z-index: 1;
}

    .k-grid-table .k-input .k-svg-i-caret-alt-down {
        margin-block-end: -4px !important;
    }


.k-table-td-padded {
    padding-inline-start: 0.25rem !important;
    padding-inline-end: 0.25rem !important;
}

.k-table-th-sort-filter {
    padding-block-start: 1rem !important;
    padding-block-end: 1rem !important;
    padding-inline-start: 0.75rem !important;
    padding-inline-end: 0.75rem !important;
}

.k-grid-header-menu .k-svg-i-filter {
    color: var(--kendo-color-on-primary);
}

.k-grid-header-menu.k-active {
    background-color: var(--kendo-color-primary-subtle) !important;
    border-radius: 4px;
    /*margin-top: 1px !important;
    margin-bottom: 1px !important;*/
}

.k-grid-norecords .k-table-td {
    text-align: start !important;
}